

#############################################################################
# Copyright (C) Labomedia May 2012
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franproplin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
#############################################################################
#
## name_update.py
#
#  Save (in RAM) your name in dict with name, rank
#
#############################################################################

import GameLogic as gl

players_data = gl.players_data
name = gl.name
local_ip = gl.local_ip
where = gl.where
goal = gl.goal
level = gl.level
my_name = gl.my_name
ranked = gl.ranked

# Get scenes
scenes = gl.getSceneList()

def main():
    name_update(players_data, level, name, my_name, scenes, ranked)

def name_update(players_data, level, name, my_name, scenes, ranked):
    ### Find my rank with score and get rank of other players in players_data

    # name[NAME] = RANK
    # players_data = ['192.168.1.5','/ball',7,6,'/bat',9,0,'/score',10,'/name','qdffsdc','/rank',1]
    # name = {'kk': 1, 'yoyo': 4, 'toto': 0, 'labomedia': 0}

    # Name update with players_data
    for scn in scenes :
        if "_players" in scn.name : # to be sure that the good scene exist
            b = level
            if b == 1:
                b = 2
            for a in range(b):
                NAME = players_data[a][10]
                if goal[a]["score"] > 0:
                    name[NAME] = 0

                if goal[a]["score"] == 0:
                    if name[NAME] == 0:
                        ## What are actual rank ?
                        actual_ranked = []
                        # Browse name dictionary
                        for key, value in name.items():
                            if value != 0:
                                actual_ranked.append(value)

                        actual_ranked.sort()

                        # je fais quoi ici ?
                        if actual_ranked == []:
                            RANK = level + 1
                        else:
                            RANK = actual_ranked[0] - 1
                        name[NAME] = RANK

    # Save in gl
    gl.name = name



main()
