

#############################################################################
# Copyright (C) Labomedia May 2012
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franproplin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
#############################################################################
#
## scene_objet.py
#
#  Get activ objet in scenes every frame, to get object in scene, zen method
#
#############################################################################

import GameLogic as gl

# Get all scenes
scenes = gl.getSceneList()

level = gl.level
bat = gl.bat

for scn in scenes:
    if scn.name == "OSC":
        for obj in scn.objects:
            ## To access text prop and display some
            if str(obj) == "GetOSC" :  gl.getosc = obj
            ## To access some prop set with keyboard
            if str(obj) == "SendOSC":  gl.sendosc = obj

    if "_players" in scn.name:
        for obj in scn.objects:
            ## Ball
            if "ball" in str(obj): gl.ball = obj

            ## All level
            if level == 1:
                many = 2 # 2 bat and goal on level 1
            else :
                many = level

            for n in range(many):
                # Get bat
                if str(obj) == "bat" + str(level) + str(n):
                    gl.bat[n] = obj
                # Get goal
                if str(obj) == "goal" + str(level) + str(n):
                    gl.goal[n] = obj




